package  
{
	import org.flixel.FlxSprite;
	import org.flixel.FlxU;
	/**
	 * ...
	 * @author Basile Desloges
	 */
	public class Radio extends FlxSprite
	{
		static private var image : uint;
		
		[Embed(source='../assets/radio.png')]
		private var imgRadio:Class;
		public var index : uint;
		
		static public function reset() : void {
			image = 0;
		}
		
		public function Radio(x : Number = 0, y : Number = 0, imgIndex : int = -1) 
		{
			super(x, y);
			loadGraphic(imgRadio, true, false, 16, 16, true);
			
			if ( imgIndex == -1 ) {
				index = image;
				++image;
			} else {
				index = imgIndex;
			}
			addAnimation("radio", [index]);
			play("radio", true);
		}
		
	}

}