package  
{
	import org.flixel.FlxG;
	import org.flixel.FlxState;
	import org.flixel.FlxText;
	/**
	 * ...
	 * @author Basile Desloges
	 */
	public class MenuState extends FlxState
	{
		public static var textColor : uint = 0xff9d8872;
		public static var shadowColor : uint = 0xff6c5d4e;
		
		override public function create() : void {
			bgColor = 0xffcaaf93;
			
			var txt : FlxText = new FlxText(0, FlxG.height / 2 - 70, FlxG.width, "THIRST");
			txt.setFormat(null, 32, textColor, "center", shadowColor);
			add(txt);
			
			txt = new FlxText(0, FlxG.height / 2, FlxG.width, "Press X to start a new game");
			txt.setFormat(null, 8, textColor, "center");
			add(txt);
			
			super.create();
		}
		
		override public function update():void {
			if (FlxG.keys.justPressed("X")) {
				FlxG.state = new GameState();
			}
			
			super.update();
		}
		
	}

}