package  
{
	import org.flixel.FlxSprite;
	import org.flixel.FlxU;
	/**
	 * ...
	 * @author Basile Desloges
	 */
	public class Water extends FlxSprite
	{
		static private var nbImages : uint = 2;
		
		[Embed(source='../assets/water.png')]
		private var imgWater : Class;
		
		public function Water(x : Number = 0, y : Number = 0) 
		{
			super(x, y);
			loadGraphic(imgWater, true, false, 16, 16, true);
			
			var p : Number = FlxU.floor(FlxU.random() * nbImages);
			
			addAnimation("water", [p]);
			play("water", true);
		}
		
	}

}